Skip to main content
GET
Search client grants

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

q
string

Filter expression in SCIM or Lucene syntax (depending on parser parameter). SCIM examples: audience eq "https://api.example.com", client_id eq "cli_abc", subject_type eq "client", allow_any_organization eq true, default_for eq "third_party_clients", audience co "example" and organization_id eq "org_123". SCIM operators: eq, ne, sw, ew, co, pr, gt, ge, lt, le, and, or.

Supported Fields:

  • audience - Filter by audience (eq, ne, sw, co, ew, pr)
  • client_id - Filter by client ID (eq, ne, sw, pr)
  • subject_type - Filter by subject type (eq, ne, sw, pr)
  • allow_any_organization - Filter by allow_any_organization (eq, ne, pr)
  • organization_id - Filter by organization ID (eq, ne, sw, pr)
  • updated_at - Filter by last update date (eq, ne, gt, ge, lt, le, pr)
  • default_for - Filter by default grant group (eq, ne, sw, pr)
Maximum 5 filter operations per query. Results are eventually consistent and may not reflect recent updates.

Maximum string length: 1000
parser
enum<string>

Query parser to use for the filter expression. Use "scim" for SCIM filter syntax or "lucene" for Lucene query syntax (default).

Available options:
scim,
lucene
fields
string

Comma-separated list of fields to include or exclude in the response. Works with the include_fields parameter to control projection mode.

Maximum string length: 1000
include_fields
boolean

Controls field projection mode. Set to true to include only fields specified in the fields parameter. Set to false to exclude fields specified in the fields parameter. Defaults to true if not specified.

take
integer

Maximum number of results to return per page (1-100). Defaults to 50.

Required range: 1 <= x <= 100
from
string

Cursor for the next page of results. Use the value from the next field in the previous response.

Maximum string length: 1000
sort
enum<string>

Field name to sort results by in ascending order. Defaults to insertion order (oldest first) if not provided.

Available options:
audience,
updated_at

Response

Client grants successfully retrieved.

client_grants
object[]
required

Array of client grant objects matching the search criteria.

next
string

Cursor for retrieving the next page of results. Omitted if there are no more results.